{ lib, nixosConfig, ... }:
let
  cfg = nixosConfig.my.desktop;
in
{
  wayland.windowManager.hyprland = lib.mkIf (cfg.enable && cfg.hyprland.enable) {
    settings = {
      exec-once = [
        "sleep 2; uwsm-app -- equibop"
        # todo openrgb
        "sleep 10; uwsm-app -- spotify"
        # "uwsm-app -- dms run"
        "sleep 5; uwsm-app -- Artemis.UI.Linux --minimized"
        "sleep 10; bash /home/lilly/Scripts/rgb-on.sh"
        # todo sunshine
        # todo arrpc
        #todo hyprpolkit
      ];
    };
  };
}
